package com.fastest.pass.login.data.repository

import android.util.Log
import com.fastest.pass.login.data.model.LoginRequest
import com.fastest.pass.login.data.model.LoginResult
import com.fastest.pass.login.data.remote.LoginApiService
import com.fastest.pass.login.domain.repository.LoginRepository
import javax.inject.Inject

class LoginRepositoryImpl @Inject constructor(
    private val loginApiService: LoginApiService
) : LoginRepository {
    override suspend fun loginRepository(email: String, password: String) : LoginResult {
        Log.d("test_api_login", "loginRepository() , LoginRepositoryImpl")
        return try {
            val loginResponse = loginApiService.login(LoginRequest(email, password))
            Log.d("test_api_login", "loginResponse = ${loginResponse.message}")
            if (loginResponse.status) {
                LoginResult.Success(loginResponse)
            } else {
                LoginResult.Error(loginResponse.message)
            }
        } catch (e: Exception) {
            LoginResult.Error(e.message ?: "Error")
        }
    }

}